package ocrmypdf_test

import (
	"Scanyonero/ocrmypdf"
	"os"
	"path/filepath"
	"testing"
)

func TestCLI_VersionString(t *testing.T) {
	cli := ocrmypdf.CLI{}

	v, err := cli.VersionString()
	if err != nil {
		t.Fatalf("VersionString() returned error: %v", err)
	}
	if v == "" {
		t.Errorf("Returned version string is empty: %v", v)
	}
}

func TestCLI_Run(t *testing.T) {
	t.SkipNow()

	cli := ocrmypdf.CLI{}

	source, err := os.Open(filepath.Join(".", "..", "test-documents", "typst-example", "600 DPI Flatbed.pdf"))
	if err != nil {
		t.Fatalf("Couldn't open file: %v.", err)
	}

	dest, err := os.Create(filepath.Join(".", "Output.pdf"))
	if err != nil {
		t.Fatalf("Couldn't create file: %v.", err)
	}

	if err := cli.Run(source, dest, nil); err != nil {
		t.Fatalf("Run() returned error: %v", err)
	}
}
