import { API } from './api.js';
import { DocumentMenu } from './components/document-menu.js';
import { DocumentQueue } from './components/document-queue.js';

export class App {
	/** @type {API} */
	#api;

	/** @type {DocumentMenu} */
	#documentMenu;

	/** @type {DocumentQueue} */
	#documentQueue;

	constructor() {
		this.#api = new API();

		this.#documentMenu = document.querySelector("#document-menu");
		this.#documentQueue = document.querySelector("#document-queue");

		this.#documentMenu.documentQueue = this.#documentQueue;
		this.#documentMenu.api = this.#api;
		this.#documentQueue.api = this.#api;
	}
}
