export interface APIQueueEntry {
	id: number;
	name: string;
	type: string;
	page: string | undefined;
}

export type APIPacketQueueDelete = {
	ids: number[];
}

export type APIPacketQueueDeleteAt = {
	indexA: number;
	indexB: number;
}

export type APIPacketQueueInsertAt = {
	index: number;
	documents: APIQueueEntry[];
}

export type APIPacketQueueReplace = {
	documents: APIQueueEntry[];
}

export type APIPacketQueueShiftAt = {
	index: number;
	offset: number;
}

export type APIPacketQueueShift = {
	ids: number[];
	offset: number;
}

export type APIPacketQueueSplit = {
	ids: number[];
}

export type APIEvents = {
	queuedeleteat: CustomEvent<APIPacketQueueDeleteAt>;
	queueinsertat: CustomEvent<APIPacketQueueInsertAt>;
	queuereplace: CustomEvent<APIPacketQueueReplace>;
	queueshiftat: CustomEvent<APIPacketQueueShiftAt>;
}
