package unit

import "strconv"

// Inch denotes a distance, position or offset in inches.
type Inch float64

var _ Unit = Inch(0)
var _ Length = Inch(0)

func (v Inch) String() string {
	return strconv.FormatFloat(float64(v), 'f', -1, 64) + "\u00A0inch"
}

func (Inch) UnitSymbol() string {
	return "inch"
}

func (v Inch) Millimeters() Millimeter {
	return Millimeter(v * MillimetersPerInch)
}
