package unit

import "strconv"

// Millimeter denotes a distance, position or offset in millimeters.
type Millimeter float64

var _ Unit = Millimeter(0)
var _ Length = Millimeter(0)

func (v Millimeter) String() string {
	return strconv.FormatFloat(float64(v), 'f', -1, 64) + "\u00A0mm"
}

func (Millimeter) UnitSymbol() string {
	return "mm"
}

func (v Millimeter) Inches() Inch {
	return Inch(v / MillimetersPerInch)
}

func (v Millimeter) Millimeters() Millimeter {
	return v
}
