package unit

import "strconv"

// PerInch denotes a density of something unitless per inch.
type PerInch float64

var _ Unit = PerInch(0)
var _ Density = PerInch(0)

func (v PerInch) String() string {
	return strconv.FormatFloat(float64(v), 'f', -1, 64) + "/inch"
}

func (PerInch) UnitSymbol() string {
	return "/inch"
}

func (v PerInch) PerMillimeter() PerMillimeter {
	return PerMillimeter(v / MillimetersPerInch)
}
