package unit

import "strconv"

// PerMillimeter denotes a density of something unitless per millimeter.
type PerMillimeter float64

var _ Unit = PerMillimeter(0)
var _ Density = PerMillimeter(0)

func (v PerMillimeter) String() string {
	return strconv.FormatFloat(float64(v), 'f', -1, 64) + "/mm"
}

func (PerMillimeter) UnitSymbol() string {
	return "/mm"
}

func (v PerMillimeter) PerInch() PerInch {
	return PerInch(v * MillimetersPerInch)
}

func (v PerMillimeter) PerMillimeter() PerMillimeter {
	return v
}
