package main

import (
	"Scanyonero/document"
	"log"
	"path/filepath"
)

func LoadExampleQueueEntries() []QueueEntry {
	ingestor := document.Ingestor{DefaultDPI: 600}

	pages, err := ingestor.Ingest(document.MustLoadFile(filepath.Join("test-documents", "300 DPI Feeder.jpg")))
	if err != nil {
		log.Panicf("Failed to ingest document: %v", err)
	}

	var entries []QueueEntry
	for _, page := range pages {
		entries = append(entries, QueueEntry{
			ID:             NewQueueEntryID(),
			QueueEntryData: QueueEntryDataPage{Page: &page},
		})
	}

	return entries
}
